Bug 313330 - Paused playback should stay paused after restart
Summary: Paused playback should stay paused after restart
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playback (show other bugs)
Version: 2.6.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 22:20 UTC by Andrey Loskutov
Modified: 2013-05-24 13:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Loskutov 2013-01-15 22:20:30 UTC
AS IS:
Set "Resume playback on start" in Amarok "Playback" preferences.
Start playback.
Pause playback.
Shutdown Amarok.
Restart Amarok.
The playback is resumed, music starts to play from the last saved place. 

TO BE:
In the last step the playback should be continued at same place as before but it also should be paused as before.

Amarok should save also the playback state (playing/pausing), not only playback position and correctly restore back *both* settings on restart.

Reproducible: Always
Comment 1 Myriam Schweingruber 2013-01-16 08:22:45 UTC
The current functioning is expected, moving to wishlist.
Comment 2 Mark Kretschmann 2013-05-24 13:36:51 UTC
Git commit 70ee0e2b1c306f8230ca1097f372823ff11ccf84 by Mark Kretschmann.
Committed on 24/05/2013 at 13:50.
Pushed by markey into branch 'master'.

When resuming playback on startup, correctly restore paused state.

Before, we didn't store the state at all, but started to play always.
FIXED-IN: 2.8

M  +2    -0    ChangeLog
M  +1    -0    src/App.cpp
M  +14   -10   src/EngineController.cpp
M  +3    -2    src/EngineController.h
M  +5    -0    src/amarokconfig.kcfg
M  +10   -5    src/playback/DelayedDoers.cpp
M  +3    -2    src/playback/DelayedDoers.h

http://commits.kde.org/amarok/70ee0e2b1c306f8230ca1097f372823ff11ccf84